base: &default
  test_api_hosts:
   - echo-api.3scale.net
   - echo-api.herokuapp.com
   - hello-world-api.3scale.net
  ignore_test_failures: []
  backend_endpoint: <%= ENV.fetch('APICAST_BACKEND_ROOT_ENDPOINT', 'http://backend-listener:3000') %>
  sandbox_endpoint: 'https://%{system_name}-<%= ENV["TENANT_NAME"] %>-apicast-staging.<%=ENV.fetch('THREESCALE_SUPERDOMAIN', '3scale.net')%>:%{port}'
  hosted_proxy_endpoint: 'https://%{system_name}-<%= ENV["TENANT_NAME"] %>-apicast-production.<%=ENV.fetch('THREESCALE_SUPERDOMAIN', '3scale.net')%>:%{port}'
  verify_mode: <%= OpenSSL::SSL.const_get(ENV.fetch('THREESCALE_SANDBOX_PROXY_OPENSSL_VERIFY_MODE', 'VERIFY_NONE')) %>
  skip_deploy: true

preview:
  <<: *default

production:
  <<: *default
